Bug 667538 - sesearch --all is broken
Summary: sesearch --all is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setools
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Chris PeBenito
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 22:14 UTC by Ian Pilcher
Modified: 2011-01-13 23:29 UTC (History)
3 users (show)

Fixed In Version: setools-3.3.7-11.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 23:29:13 UTC


Attachments (Terms of Use)

Description Ian Pilcher 2011-01-05 22:14:12 UTC
Description of problem:
sesearch --all is broken on both Fedora 13 and 14.

Version-Release number of selected component (if applicable):
setools-console-3.3.7-8.fc13.i686
setools-console-3.3.7-8.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1. SELinux targeted policy enabled (enforcing or permissive).
2. sesearch --all
  
Actual results:
ERROR: Cannot get avrules: Neverallow rules requested but not available
ERROR: Operation not supported

Expected results:
Should work

Additional info:
It seems that this is known issue:

  http://readlist.com/lists/tycho.nsa.gov/selinux/3/17731.html

Comment 1 Daniel Walsh 2011-01-06 21:05:34 UTC
That guy is a smart guy, however he seems to have lost the patch.

Fixed in setools-3.3.7-11.fc14

Comment 2 Fedora Update System 2011-01-06 21:06:19 UTC
setools-3.3.7-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/setools-3.3.7-11.fc14

Comment 3 Fedora Update System 2011-01-07 19:56:30 UTC
setools-3.3.7-11.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/setools-3.3.7-11.fc14

Comment 4 Fedora Update System 2011-01-13 23:29:06 UTC
setools-3.3.7-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.